package gov.va.vinci.dart.db;

import java.util.List;

import gov.va.vinci.dart.common.exception.ObjectNotFoundException;
import gov.va.vinci.dart.biz.Location;

public interface LocationDAO {

	Location findById(final int locationId) throws ObjectNotFoundException; 
	Location findByName(final String name) throws ObjectNotFoundException;
	List<Location> listAll();
}
